Bug 103286 - redhat-config-network leaks memory
Summary: redhat-config-network leaks memory
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-28 15:27 UTC by Pascal Haakmat
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version: 1.3.26-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 12:47:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pascal Haakmat 2003-08-28 15:27:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.10 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
When left running for a long period of time redhat-config-network will consume
all the memory in the system:
22148 root      15   0  373M 141M    72 S     0.4 76.0   2:00   0 redhat-config-n


Version-Release number of selected component (if applicable):
redhat-config-network-1.2.0-2

How reproducible:
Always

Steps to Reproduce:
1. Start redhat-config-network (or neat) in X. 
2. Open a few dial up connections and close them (not sure if this step is
necessary).
3. Leave the redhat-config-network window open for a few days.


Actual Results:  All the memory in the system is consumed and the system becomes
almost totally unresponsive.

Expected Results:  The memory use of redhat-config-network should not increase.

Comment 1 Harald Hoyer 2003-08-28 15:37:05 UTC
hmm.. true... does this happen also with this update?
http://rhn.redhat.com/errata/RHBA-2003-183.html

I'll try to verify this.

Comment 2 Harald Hoyer 2003-08-28 15:39:30 UTC
btw, you may use
redhat-control-network
to activate/deactivate devices..

Comment 3 Pascal Haakmat 2003-08-28 21:58:11 UTC
redhat-config-network-1.2.15-1 does not fix the problem as far as I can tell:

$ while true; do ps -o"sz,comm" | grep redhat-config-n | awk '{ print $1 };' >>
/tmp/redhat-config-network-memuse; sleep 60; done
^C
$ cat /tmp/redhat-config-network-memuse
6033
6036
6040
6044
6048
6052
6055
6059
6063
6068
$

i.e. memory use increases monotonically.

Comment 4 Harald Hoyer 2003-10-21 14:14:01 UTC
did you also update the rhpl package?

Comment 5 Pascal Haakmat 2003-10-21 19:24:38 UTC
Yes, the rhpl was upgraded:

$ rpm -q rhpl redhat-config-network
rhpl-0.93.4-1
redhat-config-network-1.2.15-1



Note You need to log in before you can comment on or make changes to this bug.